Package org.silverpeas.components.blog.dao

## Class PostDAO

- java.lang.Object
- - org.silverpeas.components.blog.dao.PostDAO

-     public class PostDAO
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `create​(Connection con, String pubId, Date dateEvent, String instanceId)` |
    `static void` | `delete​(Connection con, String pubId)` |
    `static Collection<Date>` | `getAllEventDates​(Connection con, String instanceId)` |
    `static Collection<String>` | `getAllPostIds​(Connection con, String instanceId)` |
    `static Map<String,​Date>` | `getEventDateIndexedByPost​(Collection<String> pubIds)` |
    `static Collection<String>` | `getPostInRange​(Connection con, String instanceId, String beginDate, String endDate)` |
    `static void` | `update​(Connection con, String pubId, Date dateEvent)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static void create​(Connection con,
                                    String pubId,
                                    Date dateEvent,
                                    String instanceId)
                             throws SQLException

      Throws:
        `SQLException`

    - #### getEventDateIndexedByPost

          public static Map<String,​Date> getEventDateIndexedByPost​(Collection<String> pubIds)
                                                                  throws SQLException

      Throws:
        `SQLException`

    - #### delete

          public static void delete​(Connection con,
                                    String pubId)
                             throws SQLException

      Throws:
        `SQLException`

    - #### update

          public static void update​(Connection con,
                                    String pubId,
                                    Date dateEvent)
                             throws SQLException

      Throws:
        `SQLException`

    - #### getAllPostIds

          public static Collection<String> getAllPostIds​(Connection con,
                                                         String instanceId)
                                                  throws SQLException

      Throws:
        `SQLException`

    - #### getAllEventDates

          public static Collection<Date> getAllEventDates​(Connection con,
                                                          String instanceId)
                                                   throws SQLException

      Throws:
        `SQLException`

    - #### getPostInRange

          public static Collection<String> getPostInRange​(Connection con,
                                                          String instanceId,
                                                          String beginDate,
                                                          String endDate)
                                                   throws SQLException,
                                                          ParseException

      Throws:
        `SQLException`
        `ParseException`